Subject: bug#15880: Compute C declarations for DEFSYMs automatically.

From: Paul Eggert <[email-masked]>
Date: Thu, 14 Nov 2013 12:25:45 -0800

On 11/14/2013 08:28 AM, Eli Zaretskii wrote:
> Please leave at least Qnil and Qt out of this arrangement, so that
> they continue being variables, not macros.

We can address that problem the way that we already address similar
problems with ARRAY_MARK_FLAG, VAL_MASK, etc.  That is, we can
define Qnil both as a macro (used by the C code) and as a
variable or better yet a constant (used by GDB on older systems
that lack -g3).

Since there are quite a few symbols it might be worth doing this
only when -g3 is not used, to keep the runtime a bit smaller.